Subject: FW: [PCN] 3rd charter Goals and Milestones

From: "Geib, Ruediger" <[email-masked]>
Date: Mon, 5 Feb 2007 15:06:44 +0100

As Phil, I agree with Joe's suggested wording & Goals changes. But I 
prefer Joe's suggested timing. 

And I support Phil's proposal to foresee signaling between boundary 
nodes.

Regards,

Ruediger

Phil Eardley wrote:

The charter looks good.
I agree with joe's suggested wording & Goals changes. On the issue of
the timing of the milestones, I prefer the original timescales to joe's
changes but either are OK with me.

Where joe suggests
> Mar 2008   Requirements for Signalling of (Pre-)Congestion information
>            from Egress to Ingress Nodes in a DiffServ Domain
>           (Informational)
Note that there will probably be signalling mods also in the direction
ingress to egress. Suggest changing "from Egress to Ingress Nodes" to
"between boundary nodes"

Thanks
phil

> -----Original Message-----
> From: Jozef Babiarz [mailto:[email-masked]]
> Sent: 04 February 2007 20:52
> To: Lars Eggert; [email-masked]
> Subject: RE: [PCN] 3rd charter Goals and Milestones
> 
> I think the charter wording is good. One suggestion is that we add to
> the first sentence "inelastic"  ... established inelastic flows within
> DiffServ ... so that it's clear PCN will not be used with elastic
flows.
> 
> However, I think we need additional discussion on Goals and
Milestones:
> 
> >Goals and Milestones:
> >
> >Jul 2007   Flow Admission and Termination Architecture
> >            (Informational)
> 
> Would like to suggest that we allow more time for the completion of
the
> above document as it is to be comprehensive, and include security,
> manageability and operational considerations as well decomposition of
> the PCN architecture. Suggest Nov. 2007.
> 
> >Jul 2007   Survey of Encoding and Transport Choices of
> >            (Pre-)Congestion Information within a DiffServ Domain
> >            (Informational)
> 
> I'm OK.
> >
> >Nov 2007   Flow Admission and Termination within a DiffServ
> >            Domain (Informational)
> 
> Suggest that "Flow Admission and Termination within a DiffServ Domain"
> be moved to Mar 2008. One meeting after the architecture.
> 
> >Nov 2007   (Pre-)Congestion Detection within a DiffServ Domain
> >            (Proposed Standard)
> >
> >Mar 2008   Encoding and Transport of (Pre-)Congestion Information
> >            from within a DiffServ Domain to the Egress
> >            (Proposed Standard)
> 
> The (Pre-)Congestion Detection within a DiffServ Domain and Encoding
and
> Transport of (Pre-)Congestion Information from within a DiffServ
Domain
> to the Egress should be combined into on document.
> 
> Mar 2008    (Pre-)Congestion Detection and Encoding within a DiffServ
>             Domain
>             (Proposed Standard)
> 
> >
> >Mar 2008   Encoding and Transport of (Pre-)Congestion Information
> >	   from the Domain Egress to the Ingress
> >	   (Proposed Standard)
> 
> To reflect the charter "If this WG requires extensions or
modifications
> to protocols that are products of other WGs, it may motivate their
need
> and describe requirements in informational documents; design of such
> extensions and modifications will take place in the appropriate WGs."
> The above deliverable should be change to:
> 
> Mar 2008   Requirements for Signalling of (Pre-)Congestion information
>            from Egress to Ingress Nodes in a DiffServ Domain
>           (Informational)
> 
> 
> >Mar 2008   Suggested Flow Admission and Termination Boundary
Mechanisms
> >            (Informational)
> 
> I believe that for interoperability, the WG will need to define and
> agree on standardized behavior for ingress and egress nodes for
reaction
> to PCN information. Specific mechanisms should only be document as
> examples. The above deliverable should be changed to:
> 
> Mar 2008   Behavioral definition for Ingress and Egress Nodes
>            for Flow Admission and Termination within a
>            DiffServ Domain
>            (Proposed Standard)
> 
> 
> Regards, Joe
> Telephone: 613-763-6098 (ESN 393-6098)
> Email: [email-masked]
> -----Original Message-----
> From: Lars Eggert [mailto:[email-masked]]
> Sent: February 2, 2007 3:25 AM
> To: [email-masked]
> Subject: [PCN] 3rd charter text update
> 
> Hi,
> 
> attached is another charter text update. I think this is
> significantly more clear that previous iterations and can be
> submitted to the IESG and IAB for informal discussion.
> 
> Lars
> 
> ---
> 
> Congestion and Pre-Congestion Notification (PCN)
> 
> Chair(s):
>     tbd
> 
> Transport Area Director(s):
>     Magnus Westerlund <[email-masked]>
>     Lars Eggert <[email-masked]>
> 
> Transport Area Advisor:
>     Lars Eggert <[email-masked]>
> 
> Mailing Lists:
>     General Discussion: [email-masked]
>     To Subscribe: [email-masked]
>     In Body: (un)subscribe
>     Archive: http://www.ietf.org/mail-archive/web/pcn/index.html
> 
> 
> Description of Working Group:
> 
> The Congestion and Pre-Congestion Notification (PCN) working group
> develops mechanisms to protect the quality-of-service of established
> flows within a DiffServ domain when congestion is imminent or
> existing. These mechanisms operate at the domain boundary, based on
> aggregated congestion and pre-congestion information from within the
> domain. The focus of the WG is on developing standards for the
> marking behavior of the interior nodes and the encoding transport of
> the congestion information. Reaction mechanisms at the boundary
> consist of flow admission and flow termination. Although designed to
> work together, flow admission and flow termination are independent
> mechanisms, and the use of one does not require or prevent the use of
> the other. In consultation with the AD, the WG may produce a small
> number of informational documents that describe how specific quality-
> of-service policies for a domain can be implemented using these two
> mechanisms.
> 
> The PCN WG will specify the following components to protect the
> quality-of-service of flows within a DiffServ domain:
> 
>     (1) a general architecture for flow admission and termination
based
>         on aggregated (pre-)congestion information
> 
>     (2) a specification of conditions under which interior nodes
> generate
>         (pre-)congestion information
> 
>     (3) encoding and transport of (pre-)congestion information
>         between the interior, egress and ingress nodes of the domain
> 
>     (4) ingress node control mechanisms for flow admission or
> termination,
>         based on aggregated (pre-)congestion information
> 
> The WG focuses on the overall architecture, and specifically on the
> marking behavior and encoding and transport mechanisms needed to
> realize it. Standards-track protocols and mechanisms are only
> developed where necessary for interoperability. For other components
> of the architecture, the WG may document examples or provide
> recommended solutions in informational documents. The architecture
> document will be comprehensive, and include security, manageability
> and operational considerations. If this WG requires extensions or
> modifications to protocols that are products of other WGs, it may
> motivate their need and describe requirements in informational
> documents; design of such extensions and modifications will take
> place in the appropriate WGs.
> 
> 
> The initial scope of the PCN WG is restricted by the following
> assumptions:
> 
>     (A) these components are deployed in a single DiffServ domain,
>         where all boundary and interior nodes are PCN-enabled
>         and mutually trust each other
> 
>     (B) all flows handled by these mechanisms are inelastic and
>         constrained to a known maximum rate through policing or
shaping
> 
>     (C) the number of flows across any potential aggregation
bottleneck
>         is sufficiently large for stateless, statistical mechanisms
> to be
>         effective
> 
>     (D) flows may have different precedence, but the applicability
>         of the PCN mechanisms for emergency use (911, GETS, WPS,
> MLPP, etc.)
>         is out of scope
> 
> After completion of the initial phase, the PCN WG may re-charter to
> develop solutions for scenarios where some of these restrictions are
> not in place. It may also re-charter to consider applying the PCN
> mechanisms to additional deployment scenarios (operation over
> concatenated DiffServ domains, PCN-aware application mechanisms,
> etc.). The WG may also consider to investigate additional response
> mechanisms that act on (pre-)congestion information. One example
> could be flow-rate adaptation (rather than flow admission/
> termination) during times of congestion. The details of these work
> items are outside the scope of the initial phase; but the WG may
> consider their requirements to design components that are
> sufficiently general to support such extensions in the future.
> 
> 
> Goals and Milestones:
> 
> Jul 2007   Flow Admission and Termination Architecture
>             (Informational)
> 
> Jul 2007   Survey of Encoding and Transport Choices of
>             (Pre-)Congestion Information within a DiffServ Domain
>             (Informational)
> 
> Nov 2007   Flow Admission and Termination within a DiffServ
>             Domain (Informational)
> 
> Nov 2007   (Pre-)Congestion Detection within a DiffServ Domain
>             (Proposed Standard)
> 
> Mar 2008   Encoding and Transport of (Pre-)Congestion Information
>             from within a DiffServ Domain to the Egress
>             (Proposed Standard)
> 
> Mar 2008   Encoding and Transport of (Pre-)Congestion Information
> 	   from the Domain Egress to the Ingress
> 	   (Proposed Standard)
> 
> Mar 2008   Suggested Flow Admission and Termination Boundary
Mechanisms
>             (Informational)
> 
> 
> 
> _______________________________________________
> PCN mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pcn

_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn

_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn